/**
 * @file ipc/Server.h
 * @author apio (cloudapio.eu)
 * @brief IPC message definitions for UI messages sent to the server.
 *
 * @copyright Copyright (c) 2023, the Luna authors.
 *
 */

#pragma once
#include <os/IPC.h>
#include <ui/Color.h>
#include <ui/Rect.h>
#include <ui/ipc/Client.h>

namespace ui
{
    enum ServerMessages : u8
    {
        IPC_ENUM_SERVER(ui),
        CREATE_WINDOW_ID,
    };

    struct CreateWindowRequest
    {
        using ResponseType = CreateWindowResponse;
        static constexpr u8 id = CREATE_WINDOW_ID;

        ui::Rect rect;
        IPC_STRING(name);
        ui::Color color;
    };
}
